### Hierarchy

- ErrnoException
  - SMTPError

## Index

### Properties

- code
- command
- errno
- message
- name
- path
- response
- responseCode
- stack
- syscall

## Properties

### Optional code

code: undefined | string

Overrides ErrnoException.code

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:75

string code identifying the error, for example ‘EAUTH’ is returned when authentication

### Optional command

command: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:81

command which provoked an error

### Optional errno

errno: undefined | number

Inherited from ErrnoException.errno

- Defined in node_modules/@types/node/globals.d.ts:571

### message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional path

path: undefined | string

Inherited from ErrnoException.path

- Defined in node_modules/@types/node/globals.d.ts:573

### Optional response

response: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:77

the last response received from the server (if the error is caused by an error response from the server)

### Optional responseCode

responseCode: undefined | number

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:79

the numeric response code of the response string (if available)

### Optional stack

stack: undefined | string

Inherited from ErrnoException.stack

Overrides Error.stack

- Defined in node_modules/@types/node/globals.d.ts:575

### Optional syscall

syscall: undefined | string

Inherited from ErrnoException.syscall

- Defined in node_modules/@types/node/globals.d.ts:574

Generated using TypeDoc